utilizzo di MySQLi in php 4.3.3

ho recentemente sviluppato un piccola applicazione web che fa uso di MySQLi per comunicare con il database MySQL, solo che dopo averli trasferiti in remoto, i miei script php generano errori del tipo che la classe MySQLi non è riconosciuta..

Ho scritto al supporto poichè sulle specifiche della loro offerta di hosting loro scrivono interprete php 5 ma vedendo i risultati prodotti da phpinfo() leggo php 4.3.3.

E possibile che php 4.3.3 supporti librerie come MySQLi oppure gestione SimpleXML?

Perchè il supporto mi ha risposto: "attualmente dispone di un interprete PHP dotato di supporto all'estensione MySQLi, come visibile dall'Output delle funzione phpinfo()".

...

Grazie! ciao a tutti

inviato 9 anni fa
tes84
X 0 X

In order to have these functions available, you must compile PHP with support for the mysqli extension.

To install the mysqli extension for PHP, use the --with-mysqli=mysql_config_path/mysql_config  configuration option where mysql_config_path represents the location of the mysql_config program that comes with MySQL versions greater than 4.1.

Quindi potrebbe essere.

Comunque da phpinfo dovresti trovarci la sezione mysqli con:

MysqlI Support   enabled

Potrebbe anche essere che tu debba avere una cartella "speciale" nel tuo spazio, a.e. su altervista per usare php5 devi fare una cartella php5 (anche se xò non hanno mysqli).

risposto 9 anni fa
LonelyWolf
X 0 X

MySQLi è disponibile solo con PHP 5

 :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda